class CreateOrderReservationItems < ActiveRecord::Migration[5.1]
  def change
    create_table :order_reservation_items, :id => false do |t|
    	t.string :order_reservation_items_id, :limit => 16, :primary_key => true
    	t.string :order_reservation_id, foreign_key: true, :null => false, :limit => 16
    	t.string :item_status, :null => false, :default => "new"
		t.string :item_code, :null => false
		t.string :item_instance_code
		t.string :item_name, :null => false
		t.string :alt_name, :null => false
		t.json   :set_menu_items
		t.integer :account_id, :limit => 8, :null => false, :default => 1
		t.decimal :qty, :precision => 10, :scale => 2, :null => false, :default => 0.00
		t.decimal :unit_price, :precision => 10, :scale => 2, :null => false, :default => 0.00
		t.decimal :price, :precision => 10, :scale => 2, :null => false, :default => 0.00
		t.longtext :remark
		t.string :options
		t.boolean :taxable, :null => false, :default => true
		t.timestamps
    end
  end

  def down
  	drop_table :order_reservation_items
  end
end
